%define snapshot 20140212

Name:           polkit-qt5
Version:        0.112.0
Release:        %mkrel 5
Summary:        Qt 5 bindings for PolicyKit
Group:          System/Libraries
License:        GPLv2+
URL:            https://projects.kde.org/projects/kdesupport/polkit-qt-1 

Source0:        polkit-qt-1-%{version}.tar.bz2 
Source1:        Doxyfile

BuildRequires:  extra-cmake-modules
BuildRequires:  doxygen
BuildRequires:  polkit-qt-1-devel
BuildRequires:  qtbase5-devel
BuildRequires:  kf5-macros

%description
Polkit-qt5 is a library that lets developers use the PolicyKit API
through a nice Qt-styled API.

#--------------------------------------------------------------------

%define polkit_qt5_agent_major 1
%define libpolkit_qt5_agent %mklibname polkit-qt5-agent %{polkit_qt5_agent_major}

%package -n %libpolkit_qt5_agent
Summary:      %{summary}
Group:        System/Libraries

%description -n %libpolkit_qt5_agent
%{summary}.

%files -n %libpolkit_qt5_agent
%_kf5_libdir/libpolkit-qt5-agent-1.so.%{polkit_qt5_agent_major}*

#--------------------------------------------------------------------

%define polkit_qt5_core_major 1
%define libpolkit_qt5_core %mklibname polkit-qt5-core %{polkit_qt5_core_major}

%package -n %libpolkit_qt5_core
Summary:      %{summary}
Group:        System/Libraries

%description -n %libpolkit_qt5_core
%{summary}.

%files -n %libpolkit_qt5_core
%_kf5_libdir/libpolkit-qt5-core-1.so.%{polkit_qt5_core_major}*

#--------------------------------------------------------------------

%define polkit_qt5_gui_major 1
%define libpolkit_qt5_gui %mklibname polkit-qt5-gui %{polkit_qt5_gui_major}

%package -n %libpolkit_qt5_gui
Summary:      %{summary}
Group:        System/Libraries

%description -n %libpolkit_qt5_gui
%{summary}.

%files -n %libpolkit_qt5_gui
%_kf5_libdir/libpolkit-qt5-gui-1.so.%{polkit_qt5_gui_major}*

#--------------------------------------------------------------------

%define polkitqt5_devel %mklibname polkitqt5-qt5 -d

%package -n %polkitqt5_devel
Summary: Development files for PolicyKit Qt 5 bindings
Group:          Development/KDE and Qt
Requires: %libpolkit_qt5_agent = %{version}-%{release}
Requires: %libpolkit_qt5_core = %{version}-%{release}
Requires: %libpolkit_qt5_gui = %{version}-%{release}
Provides: polkitqt5-devel  = %{version}-%{release}

%description -n %polkitqt5_devel
%{summary}.

%files -n %polkitqt5_devel
%doc AUTHORS COPYING README 
%{_includedir}/polkit-qt5-1/
%{_kf5_libdir}/libpolkit-qt5-core-1.so
%{_kf5_libdir}/libpolkit-qt5-gui-1.so
%{_kf5_libdir}/libpolkit-qt5-agent-1.so
%{_kf5_libdir}/pkgconfig/polkit-qt5-1.pc
%{_kf5_libdir}/pkgconfig/polkit-qt5-core-1.pc
%{_kf5_libdir}/pkgconfig/polkit-qt5-gui-1.pc
%{_kf5_libdir}/pkgconfig/polkit-qt5-agent-1.pc
%{_kf5_libdir}/cmake/PolkitQt5-1/

#--------------------------------------------------------------------

%prep
%setup -q -n polkit-qt-1-%{version}

%build
%{cmake_kf5} \
  -DBUILD_EXAMPLES:BOOL=OFF

%make

doxygen %{SOURCE1}

# Remove installdox file - it is not necessary here
rm -fv html/installdox


%install
%makeinstall_std -C build



%changelog
* Thu Feb 04 2016 umeabot <umeabot> 0.112.0-5.mga6
+ Revision: 935947
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.112.0-4.mga5
+ Revision: 740002
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.112.0-3.mga5
+ Revision: 687715
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 0.112.0-2.mga5
+ Revision: 660923
- Fix provides

* Mon Jul 28 2014 neoclust <neoclust> 0.112.0-1.mga5
+ Revision: 657696
- New version 0.112.0

* Tue Feb 18 2014 neoclust <neoclust> 0.103.0-0.1.20140212git.1.mga5
+ Revision: 594214
- imported package polkit-qt5


* Wed Feb 05 2014 Daniel Vrátil <dvratil@redhat.com> 0.103.0-0.1.20140205git
- Update to latest git snapshot

* Wed Jan 15 2014 Daniel Vrátil <dvratil@redhat.com> 0.103.0-0.1.20140115git
- fork from polkit-qt SPEC
